
Redmine - Defect #5122

Double-dash (used as em-dash) results in strikethrough text

2010-03-18 23:12 - Joel Nordell

Status: Closed Start date: 2010-03-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I'm using Redmine trunk, and recently updated to r3603.

Now I am seeing some incorrect behavior in the text formatting.  I don't remember if it was doing this before too, but I think it only

started happening after the update.

A sentence containing with double dashes used as em-dashes is appearing with strikethrough on the portion in-between.

Example:

This is an example sentence -- this part should not be crossed out -- how will it look?

 On my system looks like this:

This is an example sentence this part should not be crossed out how will it look?

It does not seem to be happening here.  Interesting!

Here it's rendering like this: This is an example sentence -- this part should not be crossed out -- how will it look?

Associated revisions

Revision 3605 - 2010-03-20 13:54 - Jean-Philippe Lang

Fixed: Double-dash results in strikethrough text (#5122).

History

#1 - 2010-03-20 13:55 - Jean-Philippe Lang

- Category set to Text formatting

- Status changed from New to Closed

- Affected version (unused) set to devel

- Resolution set to Fixed

It was introduced in r3561. Fixed with test in r3605.
